# Generated by Django 3.1.1 on 2020-10-27 16:33

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entry_number', models.IntegerField(default=0)),
            ],
            options={
                'verbose_name_plural': 'Entries',
            },
        ),
        migrations.CreateModel(
            name='Organization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('address_line1', models.CharField(blank=True, max_length=100, null=True)),
                ('address_line2', models.CharField(blank=True, max_length=100, null=True)),
                ('city', models.CharField(blank=True, max_length=50, null=True)),
                ('state', models.CharField(blank=True, max_length=2, null=True)),
                ('country', models.CharField(blank=True, max_length=2, null=True)),
                ('postal_code', models.CharField(blank=True, max_length=10, null=True)),
                ('stripe_id', models.CharField(blank=True, max_length=25, null=True)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='')),
                ('website_url', models.CharField(blank=True, max_length=150, null=True)),
                ('non_profit_id', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': 'Organizations',
            },
        ),
        migrations.CreateModel(
            name='Raffle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='raffle/logos/')),
                ('title', models.CharField(blank=True, max_length=100, null=True, verbose_name='Raffle title')),
                ('name', models.CharField(blank=True, max_length=100, null=True, verbose_name='Raffle name')),
                ('slug', models.SlugField(blank=True, null=True, verbose_name='URL slug')),
                ('description', models.TextField(blank=True, max_length=500, null=True, verbose_name='Raffle description')),
                ('start_date', models.DateTimeField(default=datetime.datetime.now)),
                ('end_date', models.DateTimeField(blank=True, null=True)),
                ('draw_date', models.DateTimeField(blank=True, null=True)),
                ('created_date', models.DateTimeField(auto_now_add=True, null=True)),
                ('updated_date', models.DateTimeField(auto_now=True, null=True)),
                ('organization', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='raffles.organization')),
                ('winning_entry', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='winning_entry', to='raffles.entry')),
            ],
            options={
                'verbose_name_plural': 'Raffles',
            },
        ),
        migrations.CreateModel(
            name='TicketBundle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('quantity', models.IntegerField()),
                ('price', models.DecimalField(decimal_places=2, max_digits=5)),
                ('raffle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='raffles.raffle')),
            ],
            options={
                'verbose_name': 'Ticket Bundle',
                'verbose_name_plural': 'Ticket Bundles',
            },
        ),
        migrations.CreateModel(
            name='Seller',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstname', models.CharField(max_length=100)),
                ('lastname', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=100)),
                ('phone', models.CharField(max_length=100)),
                ('authorization_code', models.CharField(max_length=100)),
                ('status', models.CharField(choices=[('active', 'Active'), ('inactive', 'Inactive')], max_length=100)),
                ('organization', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='raffles.organization')),
            ],
            options={
                'verbose_name_plural': 'Sellers',
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100)),
                ('last_name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=100)),
                ('phone', models.CharField(max_length=100)),
                ('organization_to_support', models.CharField(blank=True, max_length=100, null=True)),
                ('number_of_entries', models.IntegerField()),
                ('price', models.DecimalField(decimal_places=2, default=0, max_digits=100)),
                ('payment_method', models.CharField(max_length=25)),
                ('stripe_confirmation', models.CharField(blank=True, max_length=50, null=True)),
                ('raffle', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='raffles.raffle')),
                ('seller', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='raffles.seller')),
            ],
            options={
                'verbose_name_plural': 'Orders',
            },
        ),
        migrations.AddField(
            model_name='entry',
            name='order',
            field=models.ForeignKey(default=0, on_delete=django.db.models.deletion.PROTECT, to='raffles.order'),
        ),
        migrations.AddField(
            model_name='entry',
            name='raffle',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='raffles.raffle'),
        ),
        migrations.CreateModel(
            name='Condition',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('description', models.CharField(max_length=200)),
                ('link', models.URLField(blank=True, null=True)),
                ('raffle', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='raffles.raffle')),
            ],
            options={
                'verbose_name_plural': 'Terms & Conditions',
            },
        ),
        migrations.CreateModel(
            name='Beneficiary',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('description', models.CharField(max_length=200)),
                ('raffle', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='raffles.raffle')),
            ],
            options={
                'verbose_name_plural': 'Beneficiaries',
            },
        ),
    ]
